v1.0
get
/ec-codelist-svc/rest/v1.0/history/groups
View historical changes to codelists for a given name and (optionally) study.
Request
Query Parameters
-
groupId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the groupExample:
B1B8327AFAA6412287106192AB5984EF -
limit(required): integer(int32)
Minimum Value:
1limit.Example:50 -
offset(required): integer(int32)
Minimum Value:
0offset.Example:0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeGroup
Type:
Show Source
object-
comment: string
Comment.Example:
Renamed group -
groupName: string
Minimum Length:
1Maximum Length:255Codelist group name.Example:Default Group -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Minimum Length:
1Maximum Length:16Operation type.Example:CREATED -
optlock: string
(date-time)
Optimistic lock timestamp.
-
reason: string
Reason for change.Example:
Updating code groups -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the user.Example:
B1B8327AFAA6412287106192AB5984EF -
versionEnd: string
(date-time)
Version end timestamp.
-
versionStart: string
(date-time)
Version start timestamp.
Examples